$(document).ready(function(){
    $('.doDel').click(function(){
        if(confirm('确认删除这家物流公司信息么?')){
            return true;
        }
        else{
            return false;
        }
    });
    $('.doSet').click(function(){
        if(confirm('确认设置这家物流公司为最常用么?')){
            return true;
        }
        else{
            return false;
        }
    });
    $.validator.methods.strlen= function(value,element,param){
       var  str =$(element).val();
       var  len =0;
       for(var i=0;i<str.length;i++){
          if(str.charCodeAt(i)>255){
             len +=2;
          }
          else{
             len +=1;
          }
       }
       return (len -param)<=0;
	}
	$("#Form1").validate({
		event: "keyup",
		rules: {
			txtName: {
				required: true,
				strlen:50
			},
			txtTel: {
				required: true,
				strlen:50
			},
			txtQueryUrl:{
			    strlen:400,
			    url:true
			},
			txtSort: {
				required: true,
				number:true,
				range: [0,999999]
			}
		},		
		messages: {
			txtName: {
				required: "请输入快递公司名称",
				strlen: "最大长度只能在25个汉字(50个字符)以内"
			},
			txtTel: {
			    required: "请输入快递公司电话",
				strlen: "最大长度只能在25个汉字(50个字符)以内"
			},
			txtQueryUrl:{
				strlen: "最大长度只能在200个汉字(400个字符)以内",
				url:'请输入完整的查询网址'
			},
			txtSort: {
				required: "请输入序号,",
				range: "请输入序号(1-999999)"
			}
		},
		debug:"false",
		submitHandler:function(form){
			form.submit();
		}
	});
});

